Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization identifier.

Example:

"org_1a2b3c4d"

shipmentId
string
required

Shipment identifier.

Example:

"shp_4d9e7a2f"

Response

Default Response

trackingNumber
string | null
required

Carrier tracking number.

Example:

"00370724710000012345"

trackingUrl
string | null
required

Public carrier tracking URL.

Example:

"https://tracking.postnord.com/00370724710000012345"

currentStatus
enum<string> | null
required

Latest normalized tracking status.

Available options:
created,
awaiting_pickup,
picked_up,
in_transit,
out_for_delivery,
ready_for_pickup,
delivered,
returned,
exception
Example:

"delivered"

events
object[]
required

Tracking events ordered from newest to oldest.

estimatedDelivery
string | null

Estimated delivery timestamp.

Example:

"2026-06-23T12:00:00.000Z"